Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class ConnectionPool

All Superinterfaces:
  SubService

All Known Implementing Classes:
  IfsConnectionPool, TieIfsConnectionPool

    public interface class ConnectionPool

extends SubService

A ConnectionPool acts as a pool of LibraryConnections.

(Unpublished)

Method Summary
`LibraryConnection` | `acquireLibraryConnection()` Gets a LibraryConnection from this ConnectionPool.
`void` | `dispose()` Shuts down this ConnectionPool.
`void` | `dispose(boolean force)` Shuts down this ConnectionPool.
`ConnectionPoolConfiguration` | `getConnectionPoolConfiguration()` Gets the configuration parameters of this ConnectionPool.
`ConnectionPoolPerformance` | `getConnectionPoolPerformance()` Gets the performance information for this ConnectionPool.
`void` | `initialize(S_LibraryService service, ConnectionPoolConfiguration configuration)` Initializes a ConnectionPool.
`void` | `releaseLibraryConnection(LibraryConnection lconn)` Releases the specified LibraryConnection back to this ConnectionPool.
`void` | `resetCachedStatements()` Resets the cached statements in all LibraryConnections.
`void` | `resetStatistics()` Resets the performance statistics of this ConnectionPool.
`void` | `setConnectionPoolConfiguration(ConnectionPoolConfiguration config)` Alters the configuration of this ConnectionPool.
`void` | `validateUnallocatedConnections()` Validates the unallocated connections.

Method Detail

### initialize

    void initialize(S_LibraryService service,
                    ConnectionPoolConfiguration configuration)
                    throws IfsException

  Description copied from interface: `ConnectionPool`
  Initializes a ConnectionPool.

  Is invoked immediately after construction to provide the service and configuration context for this pool.

  Parameters:
    `service` - the S_LibraryService creating this ConnectionPool
    `configuration` - the ConnectionPool configuration parameters
  Throws:
    `IfsException` -
    10628: if the operation fails

### getConnectionPoolConfiguration

    ConnectionPoolConfiguration getConnectionPoolConfiguration()
                                                               throws IfsException

  Description copied from interface: `ConnectionPool`
  Gets the configuration parameters of this ConnectionPool.

  This method returns a copy of the configuration parameters for this ConnectionPool. To alter the configuration of this ConnectionPool, use the ConnectionPoolConfiguration mutators to adjust the values of these parameters and then call `setConnectionPoolConfiguration` to apply the altered ConnectionPoolConfiguration.

  The database URL, schema name, and schema password are not included in the returned parameters.

  Returns:
    the configuration
  Throws:
    `IfsException` -
    10628: if the operation fails

### setConnectionPoolConfiguration

    void setConnectionPoolConfiguration(ConnectionPoolConfiguration config)
                                        throws IfsException

  Description copied from interface: `ConnectionPool`
  Alters the configuration of this ConnectionPool.

  The following configuration parameters can be changed using this method:

  - Minimum size
  - Target size
  - Maximum size
  - Target size timeout
  - Maximum size timeout
  - Statement cache target
  - Statement cache size trigger

  All other configuration parameters specified in the ConnectionPoolConfiguration are ignored.

  Parameters:
    `config` - the configuration parameters
  Throws:
    `IfsException` -
    10629: if the operation fails

### acquireLibraryConnection

    LibraryConnection acquireLibraryConnection()
                                               throws IfsException

  Description copied from interface: `ConnectionPool`
  Gets a LibraryConnection from this ConnectionPool.

  Returns:
    the connection
  Throws:
    `IfsException` -
    10621: if the operation fails

### releaseLibraryConnection

    void releaseLibraryConnection(LibraryConnection lconn)
                                  throws IfsException

  Description copied from interface: `ConnectionPool`
  Releases the specified LibraryConnection back to this ConnectionPool.

  Parameters:
    `lconn` - the connection to release
  Throws:
    `IfsException` -
    10622: if the operation fails

### getConnectionPoolPerformance

    ConnectionPoolPerformance getConnectionPoolPerformance()
                                                           throws IfsException

  Description copied from interface: `ConnectionPool`
  Gets the performance information for this ConnectionPool.

  Returns:
    a connection pool performance object
  Throws:
    `IfsException` -
    10624: if the operation fails

### resetStatistics

    void resetStatistics()
                         throws IfsException

  Description copied from interface: `ConnectionPool`
  Resets the performance statistics of this ConnectionPool.

  Throws:
    `IfsException` -
    10625: if the operation fails

### validateUnallocatedConnections

    void validateUnallocatedConnections()
                                        throws IfsException

  Description copied from interface: `ConnectionPool`
  Validates the unallocated connections. Any connections that are invalid are disposed. This is called by the event exchanger when it has trouble getting or using a connection, which is usually a sign that many database connections might be invalid.

  Throws:
    `IfsException` - if the operation fails

### dispose

    void dispose(boolean force)
                 throws IfsException

  Description copied from interface: `ConnectionPool`
  Shuts down this ConnectionPool.

  Parameters:
    `force` - whether to perform a forced shutdown, closing in-use connections
  Throws:
    `IfsException` -
    10626: if the operation fails

### dispose

    void dispose()
                 throws IfsException

  Description copied from interface: `ConnectionPool`
  Shuts down this ConnectionPool.

  Equivalent to `dispose(true)`.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` -
    10626: if the operation fails

### resetCachedStatements

    void resetCachedStatements()
                               throws IfsException

  Description copied from interface: `ConnectionPool`
  Resets the cached statements in all LibraryConnections.

  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD